Bug 66002 - Update port: games/xpilot-ng to 4.6.3
Summary: Update port: games/xpilot-ng to 4.6.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-26 18:40 UTC by Jean-Yves Lefort
Modified: 2004-05-02 05:42 UTC (History)
0 users

See Also:


Attachments
file.diff (7.45 KB, patch)
2004-04-26 18:40 UTC, Jean-Yves Lefort
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Yves Lefort 2004-04-26 18:40:18 UTC

    
Comment 1 Jean-Yves Lefort 2004-04-27 00:45:58 UTC
Actually, 4.6.4:

diff -ruN /usr/ports/games/xpilot-ng/Makefile xpilot-ng/Makefile
--- /usr/ports/games/xpilot-ng/Makefile	Mon Feb  2 07:23:36 2004
+++ xpilot-ng/Makefile	Tue Apr 27 01:42:02 2004
@@ -6,11 +6,10 @@
 #
 
 PORTNAME=		xpilot-ng
-PORTVERSION=		4.5.4X2
-PORTREVISION=		2
+PORTVERSION=		4.6.4
 CATEGORIES=		games
-MASTER_SITES=		http://www.hut.fi/~ksoderbl/xpilot/
-DISTNAME=		xpilot-${PORTVERSION}
+MASTER_SITES=		${MASTER_SITE_SOURCEFORGE}
+MASTER_SITE_SUBDIR=	xpilot
 
 MAINTAINER=		jylefort@brutele.be
 COMMENT=		An enhanced version of XPilot
@@ -19,11 +18,32 @@
 
 USE_X_PREFIX=		yes
 GNU_CONFIGURE=		yes
+USE_REINPLACE=		yes
 
-MAN6=			xp-mapedit-ng.6 xp-replay-ng.6 xpilot-ng.6 xpilots-ng.6
+MAN6=			xpilot-ng-replay.6 \
+			xpilot-ng-sdl.6 \
+			xpilot-ng-server.6 \
+			xpilot-ng-x11.6
 
 CONFIGURE_ENV=		CPPFLAGS="-I${LOCALBASE}/include -I${X11BASE}/include" \
 			LDFLAGS="-L${LOCALBASE}/lib -L${X11BASE}/lib"
-CONFIGURE_ARGS=		--program-suffix=-ng
+CONFIGURE_ARGS=		--program-prefix=""
 
-.include <bsd.port.mk>
+OPTIONS=		SDL "SDL/OpenGL client" on
+
+.include <bsd.port.pre.mk>
+
+.if defined(WITH_SDL)
+USE_SDL=		sdl ttf
+CONFIGURE_ARGS+=	--enable-sdl-client
+PLIST_SUB+=		WITH_SDL=""
+USE_GCC=		3.2
+.else
+PLIST_SUB+=		WITH_SDL="@comment "
+.endif
+
+pre-patch:
+	@${REINPLACE_CMD} -e 's,#include "SDL/,#include "SDL11/,g' \
+		${WRKSRC}/configure
+
+.include <bsd.port.post.mk>
diff -ruN /usr/ports/games/xpilot-ng/distinfo xpilot-ng/distinfo
--- /usr/ports/games/xpilot-ng/distinfo	Sat Apr  3 05:17:32 2004
+++ xpilot-ng/distinfo	Tue Apr 27 01:42:40 2004
@@ -1,2 +1,2 @@
-MD5 (xpilot-4.5.4X2.tar.gz) = cbe107324a129c360bcf026ee3f31ff5
-SIZE (xpilot-4.5.4X2.tar.gz) = 1054360
+MD5 (xpilot-ng-4.6.4.tar.gz) = 23e4495c755251f72d5dd525e8dfa420
+SIZE (xpilot-ng-4.6.4.tar.gz) = 1662416
diff -ruN /usr/ports/games/xpilot-ng/files/patch-aa xpilot-ng/files/patch-aa
--- /usr/ports/games/xpilot-ng/files/patch-aa	Sun Sep 28 14:03:06 2003
+++ xpilot-ng/files/patch-aa	Thu Jan  1 01:00:00 1970
@@ -1,11 +0,0 @@
---- lib/Makefile.in.orig	Thu Sep 11 03:29:50 2003
-+++ lib/Makefile.in	Thu Sep 11 03:30:00 2003
-@@ -18,7 +18,7 @@
- top_srcdir = @top_srcdir@
- VPATH = @srcdir@
- pkgdatadir = $(datadir)/@PACKAGE@
--pkglibdir = $(libdir)/@PACKAGE@
-+pkglibdir = $(datadir)/xpilot-ng
- pkgincludedir = $(includedir)/@PACKAGE@
- top_builddir = ..
- 
diff -ruN /usr/ports/games/xpilot-ng/files/patch-ba xpilot-ng/files/patch-ba
--- /usr/ports/games/xpilot-ng/files/patch-ba	Sun Sep 28 14:03:06 2003
+++ xpilot-ng/files/patch-ba	Thu Jan  1 01:00:00 1970
@@ -1,11 +0,0 @@
---- lib/maps/Makefile.in.orig	Thu Sep 11 03:32:17 2003
-+++ lib/maps/Makefile.in	Thu Sep 11 03:32:26 2003
-@@ -18,7 +18,7 @@
- top_srcdir = @top_srcdir@
- VPATH = @srcdir@
- pkgdatadir = $(datadir)/@PACKAGE@
--pkglibdir = $(libdir)/@PACKAGE@
-+pkglibdir = $(datadir)/xpilot-ng
- pkgincludedir = $(includedir)/@PACKAGE@
- top_builddir = ../..
- 
diff -ruN /usr/ports/games/xpilot-ng/files/patch-ca xpilot-ng/files/patch-ca
--- /usr/ports/games/xpilot-ng/files/patch-ca	Sun Sep 28 14:03:06 2003
+++ xpilot-ng/files/patch-ca	Thu Jan  1 01:00:00 1970
@@ -1,11 +0,0 @@
---- lib/textures/Makefile.in.orig	Thu Sep 11 03:32:37 2003
-+++ lib/textures/Makefile.in	Thu Sep 11 03:32:54 2003
-@@ -18,7 +18,7 @@
- top_srcdir = @top_srcdir@
- VPATH = @srcdir@
- pkgdatadir = $(datadir)/@PACKAGE@
--pkglibdir = $(libdir)/@PACKAGE@
-+pkglibdir = $(datadir)/xpilot-ng
- pkgincludedir = $(includedir)/@PACKAGE@
- top_builddir = ../..
- 
diff -ruN /usr/ports/games/xpilot-ng/files/patch-da xpilot-ng/files/patch-da
--- /usr/ports/games/xpilot-ng/files/patch-da	Sun Sep 28 14:03:06 2003
+++ xpilot-ng/files/patch-da	Thu Jan  1 01:00:00 1970
@@ -1,11 +0,0 @@
---- src/common/Makefile.in.orig	Thu Sep 11 03:28:54 2003
-+++ src/common/Makefile.in	Thu Sep 11 03:29:43 2003
-@@ -18,7 +18,7 @@
- top_srcdir = @top_srcdir@
- VPATH = @srcdir@
- pkgdatadir = $(datadir)/@PACKAGE@
--pkglibdir = $(libdir)/@PACKAGE@
-+pkglibdir = $(datadir)/xpilot-ng
- pkgincludedir = $(includedir)/@PACKAGE@
- top_builddir = ../..
- 
diff -ruN /usr/ports/games/xpilot-ng/files/patch-ea xpilot-ng/files/patch-ea
--- /usr/ports/games/xpilot-ng/files/patch-ea	Mon Feb  2 01:03:27 2004
+++ xpilot-ng/files/patch-ea	Thu Jan  1 01:00:00 1970
@@ -1,11 +0,0 @@
---- Makefile.in.orig	Mon Feb  2 00:00:41 2004
-+++ Makefile.in	Mon Feb  2 00:00:49 2004
-@@ -17,7 +17,7 @@
- srcdir = @srcdir@
- top_srcdir = @top_srcdir@
- VPATH = @srcdir@
--pkgdatadir = $(datadir)/@PACKAGE@
-+pkgdatadir = $(datadir)/xpilot-ng
- pkglibdir = $(libdir)/@PACKAGE@
- pkgincludedir = $(includedir)/@PACKAGE@
- top_builddir = .
diff -ruN /usr/ports/games/xpilot-ng/pkg-plist xpilot-ng/pkg-plist
--- /usr/ports/games/xpilot-ng/pkg-plist	Mon Feb  2 07:23:36 2004
+++ xpilot-ng/pkg-plist	Mon Apr 26 17:56:36 2004
@@ -1,12 +1,25 @@
-bin/xpilot-ng
-bin/xpilots-ng
-bin/xp-replay-ng
+bin/xpilot-ng-replay
+%%WITH_SDL%%bin/xpilot-ng-sdl
+bin/xpilot-ng-server
+bin/xpilot-ng-x11
+share/xpilot-ng/defaults.txt
+share/xpilot-ng/fonts/ConsoleFont.bmp
+share/xpilot-ng/fonts/FreeSansBoldOblique.ttf
+share/xpilot-ng/fonts/VeraMoBd.ttf
 share/xpilot-ng/mapconvert.py
-share/xpilot-ng/maps/teamcup.xp
 share/xpilot-ng/maps/polybloods.xp2
+share/xpilot-ng/maps/sadistic_bastard_v2.xp2
+share/xpilot-ng/maps/teamcup.xp
+share/xpilot-ng/password.txt
+share/xpilot-ng/robots.txt
+share/xpilot-ng/sounds.txt
+share/xpilot-ng/textures/acwise_grav.ppm
 share/xpilot-ng/textures/allitems.ppm
+share/xpilot-ng/textures/asteroid.ppm
 share/xpilot-ng/textures/asteroidconcentrator.ppm
 share/xpilot-ng/textures/ball.ppm
+share/xpilot-ng/textures/ball_gray.ppm
+share/xpilot-ng/textures/ball_gray16.ppm
 share/xpilot-ng/textures/base_down.ppm
 share/xpilot-ng/textures/base_left.ppm
 share/xpilot-ng/textures/base_right.ppm
@@ -22,16 +35,20 @@
 share/xpilot-ng/textures/checkpoint.ppm
 share/xpilot-ng/textures/clouds.ppm
 share/xpilot-ng/textures/concentrator.ppm
+share/xpilot-ng/textures/cwise_grav.ppm
 share/xpilot-ng/textures/fuel2.ppm
 share/xpilot-ng/textures/fuelcell.ppm
 share/xpilot-ng/textures/holder1.ppm
 share/xpilot-ng/textures/holder2.ppm
 share/xpilot-ng/textures/logo.ppm
+share/xpilot-ng/textures/metabtndown.png
+share/xpilot-ng/textures/metabtnup.png
 share/xpilot-ng/textures/metalite.ppm
 share/xpilot-ng/textures/meter.ppm
 share/xpilot-ng/textures/mine_other.ppm
 share/xpilot-ng/textures/mine_team.ppm
 share/xpilot-ng/textures/minus.ppm
+share/xpilot-ng/textures/missile.ppm
 share/xpilot-ng/textures/moon.ppm
 share/xpilot-ng/textures/paused.ppm
 share/xpilot-ng/textures/plus.ppm
@@ -40,15 +57,17 @@
 share/xpilot-ng/textures/radar3.ppm
 share/xpilot-ng/textures/refuel.ppm
 share/xpilot-ng/textures/rock4.ppm
+share/xpilot-ng/textures/sdlmetabg.png
+share/xpilot-ng/textures/shield.ppm
 share/xpilot-ng/textures/ship.ppm
 share/xpilot-ng/textures/ship_blue.ppm
 share/xpilot-ng/textures/ship_red.ppm
 share/xpilot-ng/textures/ship_red2.ppm
 share/xpilot-ng/textures/ship_red3.ppm
 share/xpilot-ng/textures/sparks.ppm
-share/xpilot-ng/textures/wall_dl.ppm
 share/xpilot-ng/textures/volcanic.ppm
 share/xpilot-ng/textures/wall_bottom.ppm
+share/xpilot-ng/textures/wall_dl.ppm
 share/xpilot-ng/textures/wall_dr.ppm
 share/xpilot-ng/textures/wall_fi.ppm
 share/xpilot-ng/textures/wall_left.ppm
@@ -59,10 +78,7 @@
 share/xpilot-ng/textures/wall_ur.ppm
 share/xpilot-ng/textures/wall_url.ppm
 share/xpilot-ng/textures/wormhole.ppm
-share/xpilot-ng/defaults
-share/xpilot-ng/password
-share/xpilot-ng/robots
-share/xpilot-ng/sounds
+@dirrm share/xpilot-ng/fonts
 @dirrm share/xpilot-ng/maps
 @dirrm share/xpilot-ng/textures
 @dirrm share/xpilot-ng
Comment 2 Pete Fritchman freebsd_committer 2004-05-02 05:42:36 UTC
State Changed
From-To: open->closed

Committed, thanks.